<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionQuestNPCDataBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d93/a06646.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionQuestNPCDataBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a1e91b7b3f0281a89e6210f5675f28e24"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d93/a06646.html#a1e91b7b3f0281a89e6210f5675f28e24">ConfigVersion</a></td></tr>
<tr class="separator:a1e91b7b3f0281a89e6210f5675f28e24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35b974a1fa597d6b35c8dae5ac83703e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d93/a06646.html#a35b974a1fa597d6b35c8dae5ac83703e">ID</a></td></tr>
<tr class="separator:a35b974a1fa597d6b35c8dae5ac83703e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb2108e9960494b4d26f808a3ba58f99"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d93/a06646.html#abb2108e9960494b4d26f808a3ba58f99">ClassName</a></td></tr>
<tr class="separator:abb2108e9960494b4d26f808a3ba58f99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a4ee71285be0a72fcb34ad581bf80b7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d93/a06646.html#a9a4ee71285be0a72fcb34ad581bf80b7">IsAI</a></td></tr>
<tr class="separator:a9a4ee71285be0a72fcb34ad581bf80b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad58ce3800fc6d93a5927077085fbad9c"><td class="memItemLeft" align="right" valign="top">vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d93/a06646.html#ad58ce3800fc6d93a5927077085fbad9c">Position</a></td></tr>
<tr class="separator:ad58ce3800fc6d93a5927077085fbad9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a0e30a52b7bbb4bfa4b239515d1ead2"><td class="memItemLeft" align="right" valign="top">vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d93/a06646.html#a9a0e30a52b7bbb4bfa4b239515d1ead2">Orientation</a></td></tr>
<tr class="separator:a9a0e30a52b7bbb4bfa4b239515d1ead2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d94b55bae72e30b6e896e1fdd87d2f1"><td class="memItemLeft" align="right" valign="top">ref array&lt; int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d93/a06646.html#a1d94b55bae72e30b6e896e1fdd87d2f1">QuestIDs</a> = new array&lt;int&gt;</td></tr>
<tr class="separator:a1d94b55bae72e30b6e896e1fdd87d2f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a788751c617cd37dbe137ba5acb6ea34b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d93/a06646.html#a788751c617cd37dbe137ba5acb6ea34b">NPCName</a> = &quot;Unknown&quot;</td></tr>
<tr class="separator:a788751c617cd37dbe137ba5acb6ea34b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98baeb9db9affc8b3c12d877a4d1b59f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d93/a06646.html#a98baeb9db9affc8b3c12d877a4d1b59f">DefaultNPCText</a> = &quot;What do you want? <a class="el" href="../../da/d96/a00782.html#ad095c9ca1c61d3ae9af128cf5b271074">Leave</a> me alone!&quot;</td></tr>
<tr class="separator:a98baeb9db9affc8b3c12d877a4d1b59f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d8/d5f/a02216.html">ExpansionQuestNPCData.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d5f/a02216_source.html#l00013">13</a> of file <a class="el" href="../../d8/d5f/a02216_source.html">expansionquestnpcdata.c</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="abb2108e9960494b4d26f808a3ba58f99" name="abb2108e9960494b4d26f808a3ba58f99"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb2108e9960494b4d26f808a3ba58f99">&#9670;&#160;</a></span>ClassName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionQuestNPCDataBase::ClassName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5f/a02216_source.html#l00017">17</a> of file <a class="el" href="../../d8/d5f/a02216_source.html">expansionquestnpcdata.c</a>.</p>

</div>
</div>
<a id="a1e91b7b3f0281a89e6210f5675f28e24" name="a1e91b7b3f0281a89e6210f5675f28e24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e91b7b3f0281a89e6210f5675f28e24">&#9670;&#160;</a></span>ConfigVersion</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionQuestNPCDataBase::ConfigVersion</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5f/a02216_source.html#l00015">15</a> of file <a class="el" href="../../d8/d5f/a02216_source.html">expansionquestnpcdata.c</a>.</p>

</div>
</div>
<a id="a98baeb9db9affc8b3c12d877a4d1b59f" name="a98baeb9db9affc8b3c12d877a4d1b59f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98baeb9db9affc8b3c12d877a4d1b59f">&#9670;&#160;</a></span>DefaultNPCText</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionQuestNPCDataBase::DefaultNPCText = &quot;What do you want? <a class="el" href="../../da/d96/a00782.html#ad095c9ca1c61d3ae9af128cf5b271074">Leave</a> me alone!&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5f/a02216_source.html#l00023">23</a> of file <a class="el" href="../../d8/d5f/a02216_source.html">expansionquestnpcdata.c</a>.</p>

</div>
</div>
<a id="a35b974a1fa597d6b35c8dae5ac83703e" name="a35b974a1fa597d6b35c8dae5ac83703e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35b974a1fa597d6b35c8dae5ac83703e">&#9670;&#160;</a></span>ID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionQuestNPCDataBase::ID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5f/a02216_source.html#l00016">16</a> of file <a class="el" href="../../d8/d5f/a02216_source.html">expansionquestnpcdata.c</a>.</p>

</div>
</div>
<a id="a9a4ee71285be0a72fcb34ad581bf80b7" name="a9a4ee71285be0a72fcb34ad581bf80b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a4ee71285be0a72fcb34ad581bf80b7">&#9670;&#160;</a></span>IsAI</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionQuestNPCDataBase::IsAI</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5f/a02216_source.html#l00018">18</a> of file <a class="el" href="../../d8/d5f/a02216_source.html">expansionquestnpcdata.c</a>.</p>

</div>
</div>
<a id="a788751c617cd37dbe137ba5acb6ea34b" name="a788751c617cd37dbe137ba5acb6ea34b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a788751c617cd37dbe137ba5acb6ea34b">&#9670;&#160;</a></span>NPCName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionQuestNPCDataBase::NPCName = &quot;Unknown&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5f/a02216_source.html#l00022">22</a> of file <a class="el" href="../../d8/d5f/a02216_source.html">expansionquestnpcdata.c</a>.</p>

</div>
</div>
<a id="a9a0e30a52b7bbb4bfa4b239515d1ead2" name="a9a0e30a52b7bbb4bfa4b239515d1ead2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a0e30a52b7bbb4bfa4b239515d1ead2">&#9670;&#160;</a></span>Orientation</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector ExpansionQuestNPCDataBase::Orientation</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5f/a02216_source.html#l00020">20</a> of file <a class="el" href="../../d8/d5f/a02216_source.html">expansionquestnpcdata.c</a>.</p>

</div>
</div>
<a id="ad58ce3800fc6d93a5927077085fbad9c" name="ad58ce3800fc6d93a5927077085fbad9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad58ce3800fc6d93a5927077085fbad9c">&#9670;&#160;</a></span>Position</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector ExpansionQuestNPCDataBase::Position</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5f/a02216_source.html#l00019">19</a> of file <a class="el" href="../../d8/d5f/a02216_source.html">expansionquestnpcdata.c</a>.</p>

</div>
</div>
<a id="a1d94b55bae72e30b6e896e1fdd87d2f1" name="a1d94b55bae72e30b6e896e1fdd87d2f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d94b55bae72e30b6e896e1fdd87d2f1">&#9670;&#160;</a></span>QuestIDs</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref array&lt;int&gt; ExpansionQuestNPCDataBase::QuestIDs = new array&lt;int&gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5f/a02216_source.html#l00021">21</a> of file <a class="el" href="../../d8/d5f/a02216_source.html">expansionquestnpcdata.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Quests/Scripts/4_world/dayzexpansion_quests/systems/quests/<a class="el" href="../../d8/d5f/a02216_source.html">expansionquestnpcdata.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/d93/a06646.html">ExpansionQuestNPCDataBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
